package com.logicbig.example;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("user")
public class UserController {
    
    @RequestMapping
    @ResponseBody
    public User getUserById (@RequestParam("id") long userId) {
        //creating dummy user
        User user = new User();
        user.setId(userId);
        user.setName("joe");
        user.setEmailAddress("joe@example.com");
        return user;
    }
}